开发者社区> 技术小阿哥> 正文

php源代码安装常见错误解决办法

简介:
+关注继续查看



错误:configure: error: libevent >= 1.4.11 could not be found

解决:yum -y install libevent libevent-devel


错误:configure: error: Please reinstall the mysql distributio

解决:yum -y install mysql-devel



错误:make: *** [sapi/fpm/php-fpm] error 1

解决:用make ZEND_EXTRA_LIBS='-liconv'编译



错误:configure: error: XML configuration could not be found

解决:yum -y install libxml2 libxml2-devel


错误:configure: error: No curses/termcap library found
解决:yum -y install ncurses ncurses-devel

错误:configure: error: xml2-config not found
解决:yum -y install libxml2 libxml2-devel

错误:configure: error: Cannot find OpenSSL's <evp.h>

解决:yum install openssl openssl-devel




错误:configure: error: Please reinstall the libcurl distribution -

easy.h should be in <curl-dir>/include/curl/

解决:yum install curl curl-devel



错误:configure: error: Cannot find ldap.h

解决:yum install openldap openldap-devel


错误:configure: error: libjpeg.(a|so) not found
解决:yum install libjpeglibjpeg -devel



错误:configure: error: libpng.(a|so) not found.
解决:yum install libpnglibpng –devel


错误:onfigure: error: freetype.h not found.

解决:yum install freetype-devel


错误:configure: error: cannot find output from lex; giving up
解决:yum -y install flex

错误:configure: error: mod_deflate has been requested but can not be built due to prerequisite failures
解决:yum -y install zlib-devel openssl-devel


错误:Configure: error: Unable to locate gmp.h

解决:yum install gmp-devel



错误:Configure: error: Cannot find MySQL header files under /usr.
Note that the MySQL client library is not bundled anymore!

解决:yum install mysql-devel 




本文转自 mailfile 51CTO博客,原文链接:http://blog.51cto.com/mailfile/1211043,如需转载请自行联系原作者

版权声明:本文内容由阿里云实名注册用户自发贡献,版权归原作者所有,阿里云开发者社区不拥有其著作权,亦不承担相应法律责任。具体规则请查看《阿里云开发者社区用户服务协议》和《阿里云开发者社区知识产权保护指引》。如果您发现本社区中有涉嫌抄袭的内容,填写侵权投诉表单进行举报,一经查实,本社区将立刻删除涉嫌侵权内容。

相关文章
hadoop 日常错误解决方法整理
<div style="font-family:'lucida Grande',Verdana,'Microsoft YaHei'; font-size:14px; line-height:23.8px"> hadoop 日常错误整理  </div> <div style="font-family:'lucida Grande',Verdana,'Microsoft YaHei'; f
6823 0
junit.framework.AssertionFailedError: No tests found in错误解决办法
public void TestIDcard() throws Exception{} 报错:junit.framework.AssertionFailedError: No tests found in。
1086 0
安装ionic 报错 安装canvas报错 解决办法
安装node-gyp 或将 npm 升级到内含 node-gyp 的版本 (nodejs v0.6.13以上的 npm 已内置了node-gyp, 则此步可以略过); 3.
970 0
WRF-DA代码编译与安装(二)——WRF-DA模块的编译与安装
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/ESA_DSQ/article/details/69061716 上一篇已经将所有WRF-DA模块所需要的依赖库都编译安装成功。
1214 0
WRF-DA代码编译与安装(一)——依赖库的编译与安装
版权声明:本文为博主原创文章,未经博主允许不得转载。 https://blog.csdn.net/ESA_DSQ/article/details/68954924 由于笔者的研究需要用到数据同化技术,所以开始学习WRF相关内容(主要是WRF-DA模块)。
1498 0
13692
文章
0
问答
文章排行榜
最热
最新
相关电子书
更多
OceanBase 入门到实战教程
立即下载
阿里云图数据库GDB,加速开启“图智”未来.ppt
立即下载
实时数仓Hologres技术实战一本通2.0版(下)
立即下载